#pragma once

#include "Watchy.h"
#include "Menu.h"

class WatchFace : public Watchy
{
public:
  void Setup() override; // Called after hardware is set up
  void HandleButtonPress(uint64_t buttonMask) override;
  void HandleDoubleTap() override;
  void HandleTilt() override;
  void DrawWatchFace(bool partialRefresh = false) override;

private:
  RTC_DATA_ATTR static bool m_menuSetup;
  RTC_DATA_ATTR static bool m_inMenu;
  RTC_DATA_ATTR static Menu m_menu;
  RTC_DATA_ATTR static int m_tzOffset;

  void SetupVolatileMenuStuff();
  void DrawBatteryIcon();
  void MenuExited();
  void MenuNTPSyncSelected();
  void MenuTimeZoneSelected(int tzOffset);
  void MenuConfirmResetSteps();
};